libetonyek::IWORKDiscardContext Class Reference documentation

Classes | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
libetonyek::IWORKDiscardContext Class Reference

`#include <IWORKDiscardContext.h>`

Inheritance diagram for libetonyek::IWORKDiscardContext:

## Classes
struct | Data

## Public Member Functions
| IWORKDiscardContext (IWORKXMLParserState &state)
Public Member Functions inherited from libetonyek::IWORKXMLContext
virtual | ~IWORKXMLContext ()=0

## Protected Member Functions
virtual void | startOfElement ()
| Signalize the start of an element. More...
virtual void | attribute (int name, const char *value)
| Process an attribute. More...
virtual IWORKXMLContextPtr_t | element (int name)
| Create a context for parsing a child element. More...
virtual void | text (const char *value)
| Process textual content of an element. More...
virtual void | endOfElement ()
| Signalize the end of an element. More...

## Private Attributes
IWORKXMLParserState & | m_state
unsigned | m_level
bool | m_enableCollector
boost::shared_ptr< Data > | m_data

## Constructor & Destructor Documentation

## ◆ IWORKDiscardContext()

libetonyek::IWORKDiscardContext::IWORKDiscardContext | ( | IWORKXMLParserState & | state | ) |
| explicit

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKDiscardContext::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| protectedvirtual

Process an attribute.

Attributes are fed to the current element's context one by one.

Implements libetonyek::IWORKXMLContext.

## ◆ element()

IWORKXMLContextPtr_t libetonyek::IWORKDiscardContext::element | ( | int | name | ) |
| protectedvirtual

Create a context for parsing a child element.

Returns
  A new context or an empty pointer if the child element cannot be handled.

Implements libetonyek::IWORKXMLContext.

## ◆ endOfElement()

void libetonyek::IWORKDiscardContext::endOfElement | ( |  | ) |
| protectedvirtual

Signalize the end of an element.

Implements libetonyek::IWORKXMLContext.

## ◆ startOfElement()

void libetonyek::IWORKDiscardContext::startOfElement | ( |  | ) |
| protectedvirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libetonyek::IWORKXMLContext.

## ◆ text()

void libetonyek::IWORKDiscardContext::text | ( | const char * | value | ) |
| protectedvirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libetonyek::IWORKXMLContext.

## Member Data Documentation

## ◆ m_data

boost::shared_ptr<Data> libetonyek::IWORKDiscardContext::m_data
| private

Referenced by element().

## ◆ m_enableCollector

bool libetonyek::IWORKDiscardContext::m_enableCollector
| private

Referenced by endOfElement(), and startOfElement().

## ◆ m_level

unsigned libetonyek::IWORKDiscardContext::m_level
| private

Referenced by endOfElement(), and startOfElement().

## ◆ m_state

IWORKXMLParserState& libetonyek::IWORKDiscardContext::m_state
| private

Referenced by element(), endOfElement(), and startOfElement().

The documentation for this class was generated from the following files:

- IWORKDiscardContext.h
- IWORKDiscardContext.cpp